Providers
10 API calls in this section.
List providers (grouped)
/provider/providers1curl --request GET "$ONDI_BASE_URL/provider/providers" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
List providers by category (AI)
/provider/providers?category=ai1curl --request GET "$ONDI_BASE_URL/provider/providers?category=ai" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Query parameters
categoryOptionalai
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
List providers by category (SMS)
/provider/providers?category=sms1curl --request GET "$ONDI_BASE_URL/provider/providers?category=sms" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Query parameters
categoryOptionalsms
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Get provider by key
/provider/providers/gemini1curl --request GET "$ONDI_BASE_URL/provider/providers/gemini" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Patch provider (update Gemini)
/provider/providers/gemini1curl --request PATCH "$ONDI_BASE_URL/provider/providers/gemini" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "display_name": "Google Gemini",7 "is_active": true,8 "api_key": "REPLACE_ME",9 "config": {10 "model": "gemini-1.5-pro"11 }12}'1{2 "display_name": "Google Gemini",3 "is_active": true,4 "api_key": "REPLACE_ME",5 "config": {6 "model": "gemini-1.5-pro"7 }8}Request body fields
display_nameExampleExample field from the request body.
is_activeExampleExample field from the request body.
api_keyExampleExample field from the request body.
configExampleExample field from the request body.
config.modelExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Get SMS provider (Twilio)
/provider/providers/twilio1curl --request GET "$ONDI_BASE_URL/provider/providers/twilio" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Update Twilio SMS provider
/provider/providers/twilio1curl --request PATCH "$ONDI_BASE_URL/provider/providers/twilio" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "is_active": true,7 "api_key": "",8 "config": {9 "baseUrl": "https://api.twilio.com/2010-04-01",10 "accountSid": "AC...",11 "authToken": "...",12 "messagingServiceSid": "MG..."13 }14}'1{2 "is_active": true,3 "api_key": "",4 "config": {5 "baseUrl": "https://api.twilio.com/2010-04-01",6 "accountSid": "AC...",7 "authToken": "...",8 "messagingServiceSid": "MG..."9 }10}Request body fields
is_activeExampleExample field from the request body.
api_keyExampleExample field from the request body.
configExampleExample field from the request body.
config.baseUrlExampleExample field from the request body.
config.accountSidExampleExample field from the request body.
config.authTokenExampleExample field from the request body.
config.messagingServiceSidExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Update Verifyway SMS provider
/provider/providers/verifyway1curl --request PATCH "$ONDI_BASE_URL/provider/providers/verifyway" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "is_active": true,7 "api_key": "your_verifyway_api_key",8 "config": {9 "baseUrl": "https://api.verifyway.com",10 "apiPath": "/sms/send",11 "senderId": "YourBrand",12 "defaultLang": "en"13 }14}'1{2 "is_active": true,3 "api_key": "your_verifyway_api_key",4 "config": {5 "baseUrl": "https://api.verifyway.com",6 "apiPath": "/sms/send",7 "senderId": "YourBrand",8 "defaultLang": "en"9 }10}Request body fields
is_activeExampleExample field from the request body.
api_keyExampleExample field from the request body.
configExampleExample field from the request body.
config.baseUrlExampleExample field from the request body.
config.apiPathExampleExample field from the request body.
config.senderIdExampleExample field from the request body.
config.defaultLangExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Update Otpiq SMS provider
/provider/providers/otpiq1curl --request PATCH "$ONDI_BASE_URL/provider/providers/otpiq" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "is_active": true,7 "api_key": "your_otpiq_api_key",8 "config": {9 "baseUrl": "https://api.otpiq.com/api",10 "defaultProvider": "sms",11 "senderId": "YourBrand",12 "webhookUrl": "",13 "webhookType": "all",14 "webhookSecret": ""15 }16}'1{2 "is_active": true,3 "api_key": "your_otpiq_api_key",4 "config": {5 "baseUrl": "https://api.otpiq.com/api",6 "defaultProvider": "sms",7 "senderId": "YourBrand",8 "webhookUrl": "",9 "webhookType": "all",10 "webhookSecret": ""11 }12}Request body fields
is_activeExampleExample field from the request body.
api_keyExampleExample field from the request body.
configExampleExample field from the request body.
config.baseUrlExampleExample field from the request body.
config.defaultProviderExampleExample field from the request body.
config.senderIdExampleExample field from the request body.
config.webhookUrlExampleExample field from the request body.
config.webhookTypeExampleExample field from the request body.
config.webhookSecretExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
List Gemini models
/provider/ai/gemini/models1curl --request GET "$ONDI_BASE_URL/provider/ai/gemini/models" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json"Headers
AuthorizationOptionalBearer {{access_token}}
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.